import 'package:fis_jsonrpc/rpc.dart';
import 'package:flyinsono/views/desktop/real_time_consultation/widgets/simple_Info.dart';

abstract class IGroupManager {
  Future<List<UserGroupDTO>> getGroups({String? keyword});

  ///查询群组内用户集合
  Future<PageResult<UserExtendDTO>> getGroupUserInfos({
    required String userGroupCode,
    int pageIndex = 1,
    int pageSize = 20,
    String? keyword,
  });

  ///查询群组内设备集合
  Future<PageResult<DeviceInfoDTO>> getGroupDeviceInfos({
    required String userGroupCode,
    int pageIndex = 1,
    int pageSize = 20,
    String? keyword,
  });

  ///查询群组内用户简单信息集合
  Future<List<SimpleInfoItem>> getGroupUserSimpleItems({
    required String userGroupCode,
    int pageIndex = 1,
    int pageSize = 20,
    String? keyword,
  });

  ///查询群组内设备简单信息集合
  Future<List<SimpleInfoItem>> getGroupDeviceSimpleItems({
    required String userGroupCode,
    int pageIndex = 1,
    int pageSize = 20,
    String? keyword,
  });
}
